×

Discussion Board

Results 1 to 15 of 15
  1. #1
    Registered User
    Join Date
    Feb 2010
    Posts
    23

    Nokia C7 - QT application installation errors

    Hi,

    I have got a brand new Nokia C7 phone for internal testing. I am trying to install a new app on the device using the .SIS file created by the QT creator tool by default for the application (which I believe was created while compiling the application to Symbian target by default) and I am getting the following errors

    1. Install .SIS through the QT Creator tool by running the Symbian Device as target
    Deploying application to 'Nokia C7-00 USB Serial Port (COM12)'...
    Copying installation file...
    Installing application...
    Could not install from package C:\Data\myApp.sis on device: General OS-related error
    Finished.

    2. If I manually copy the file to mass memory device/installer folder and try to run the sis file from there via Nokia Ovi Suite, I get the following error
    Unable to install the. QT mobility 1.00 or higher version neede

    3. When I try to install QT Mobility to C7 device using 'Install QT Mobility to Symbian Device' option in the Nokia QT SDK options, i get an 'Update' Error.



    Here are my development environment details

    Nokia QT SDK 1.00 ()2
    Nokia QT Creator : 2.0.1
    QT 4.6.3 for Symbian (which I could figure out from the target build settings for my device from my target settings)

    Upto my knowledge, the Nokia C7 device is pre-installed with QT 4.6.3 software by default and hence my assumption is that the application installation should go through smoothly.


    Can anyone help in resolving my installation issues here ?

    Regards,
    imraj

  2. #2
    Nokia Developer Champion
    Join Date
    Dec 2008
    Posts
    2,349

    Re: Nokia C7 - QT application installation errors

    If you are getting the Update error then it means that the UID of the sis file that you are trying to install is already been installed in the device.

  3. #3
    Registered User
    Join Date
    Feb 2010
    Posts
    23

    Re: Nokia C7 - QT application installation errors

    Thanks for your such a quick response.

    Well. 'update Error' is one part of my problem.

    I think my problem is not related to the UID here, because, I am trying to install/update QT Mobility API binaries to Nokia C7 using standard QT SDK built in tool/SIS file.
    And this SIS file contains the UID defined by QT folks and I don't suspect them for his error.

    Regards,
    Imraj

  4. #4
    Nokia Developer Champion
    Join Date
    Dec 2008
    Posts
    2,349

    Re: Nokia C7 - QT application installation errors

    I see, than just check few things while installing.
    1. device date/time/location/time zone/
    2. check Qt mobility is already been there or not
    Last edited by somnathbanik; 2011-01-04 at 12:41. Reason: added

  5. #5
    Registered User
    Join Date
    Feb 2010
    Posts
    23

    Re: Nokia C7 - QT application installation errors

    Thanks for your such a quick response.

    Well. 'update Error' is one part of my problem.

    I think my problem is not related to the UID here, because, I am trying to install/update QT Mobility API binaries to Nokia C7 using standard QT SDK built in tool/SIS file.
    And this SIS file contains the UID defined by QT folks and I don't suspect them for his error.

    Regards,
    Imraj

  6. #6
    Registered User
    Join Date
    Feb 2010
    Posts
    23

    Re: Nokia C7 - QT application installation errors

    thanks for your response.

    1. The device date/time/location/time zone details seem to be fine.
    2. How can I check QT Mobility is already there in the device or not ?

    Regards,
    RH

  7. #7
    Nokia Developer Champion
    Join Date
    Dec 2008
    Posts
    2,349

    Re: Nokia C7 - QT application installation errors

    Quote Originally Posted by imrajhegde View Post
    thanks for your response.

    1. The device date/time/location/time zone details seem to be fine.
    2. How can I check QT Mobility is already there in the device or not ?

    Regards,
    RH
    2. Go to Settings->Application mgr->installed apps forlder of the device , and check for Qt installed file
    Last edited by somnathbanik; 2011-01-04 at 13:10. Reason: added

  8. #8
    Registered User
    Join Date
    Feb 2010
    Posts
    23

    Re: Nokia C7 - QT application installation errors

    Thanks for your response.

    I had checked out the settings for QT installation. It shows the QT version as 4.6.3. But I can not find the specific QT mobility version in the hardware from these settings.

    My problem is this.

    I am building my application using QT creator 2.0.1

    1. Simulator version is built for QT 4.7 and the application works fine on the QT Symbian Simulator without any problems
    2. When I build and run the application for Nokia C7/target, the target QT version in the build settngs shown as QT 4.63.
    The self signed SIS file when installed to Nokia C7, the installation does not go through. It shows the error 'QT mobility version 1.00 or higher needed'

    When I try to flash the latest QT mobility SIS file from the QT SDK option (Explorer->AllFiles->NokiaQTSDK->Install QT Mobility to Symbian Device), I get an 'Update error'.

    Looks like the QT mobility API library version in the device and the application which is using from the QT SDK which I use are incomatible. What I would be needing is a master SIS file which can upgrade QT Mobility API library which is compatible with QT 4.6.3 in my QT SDK
    (Upgrading QT MObility from 1.0.0 to 1.0.2 may be needed finaly).

    Does it make a fair assumation and look for a proper SIS file or any other solution ?

    Regards,
    imraj

  9. #9
    Nokia Developer Champion
    Join Date
    Dec 2008
    Posts
    2,349

    Re: Nokia C7 - QT application installation errors

    Quote Originally Posted by imrajhegde View Post
    Thanks for your response.

    I had checked out the settings for QT installation. It shows the QT version as 4.6.3. But I can not find the specific QT mobility version in the hardware from these settings.

    My problem is this.

    I am building my application using QT creator 2.0.1

    1. Simulator version is built for QT 4.7 and the application works fine on the QT Symbian Simulator without any problems
    2. When I build and run the application for Nokia C7/target, the target QT version in the build settngs shown as QT 4.63.
    The self signed SIS file when installed to Nokia C7, the installation does not go through. It shows the error 'QT mobility version 1.00 or higher needed'

    When I try to flash the latest QT mobility SIS file from the QT SDK option (Explorer->AllFiles->NokiaQTSDK->Install QT Mobility to Symbian Device), I get an 'Update error'.

    Looks like the QT mobility API library version in the device and the application which is using from the QT SDK which I use are incomatible. What I would be needing is a master SIS file which can upgrade QT Mobility API library which is compatible with QT 4.6.3 in my QT SDK
    (Upgrading QT MObility from 1.0.0 to 1.0.2 may be needed finaly).

    Does it make a fair assumation and look for a proper SIS file or any other solution ?

    Regards,
    imraj
    As you have Qt 4.6.3 in device lets make the app in Qt 4.6.3 rather than Qt 4.7.
    As you are build the app in a higher Qt version , might be that's the issue
    Last edited by somnathbanik; 2011-01-05 at 06:24. Reason: added

  10. #10
    Registered User
    Join Date
    Feb 2010
    Posts
    23

    Re: Nokia C7 - QT application installation errors

    Thanks or your quick response.

    Well, I have covered my development environment details multiple times in my email.

    I repeat again

    1. My simulator environment is 4.7 which means the QT version showing in simulator settings is 4.7
    2. My device development environment is 4.6.3, which means the QT version shown in the device build settings is 4.6.3
    That means I am building the app for QT target 4.6.3 and hence no question of developing the app for QT 4.7 symbian device target.

    I need a mechanism to update the QT mobility version of the device to a higher version which is still compatile with QT 4.6.3

    Regards,
    Imraj

  11. #11
    Nokia Developer Champion
    Join Date
    Dec 2008
    Posts
    2,349

    Re: Nokia C7 - QT application installation errors

    i have no idea how to update the Qt Mobility, may be someone can focus on this.

  12. #12
    Registered User
    Join Date
    Dec 2010
    Posts
    4

    Re: Nokia C7 - QT application installation errors

    same problem here, developped a small example application, just to test the mobility libraries if they are correctly installed , using QT 4.6.3 and mobility 1.0. The application works fine on the prebuild simulator in carbide than when deployed on the phone (C7) it just wont start, i assume the issue is not having the mobility libraries installed on the device, the problem is i receive the same update error when i try to install them. QT applications that dont requere the mobility libraries work fine.

  13. #13
    Registered User
    Join Date
    Feb 2010
    Posts
    23

    Re: Nokia C7 - QT application installation errors

    Hi All,


    I could resolve this problem by using the following options on a Windows 7 machine.
    (Note that I am using a Nokia C7 device which is a Symbian ^ 3 based device)

    All Programs->Nokia Qt SDK->Symbian->Install QtMobility to Nokia N8 Device

    This will in turn installs a SIS File containing latest QTMobility API library to the device which will solve any QtMobility related issues.

    For any previous S60 versions related Symbian Devices, you could try using the following option
    All Programs->Nokia Qt SDK->Symbian->Install QtMobility to Symbian Device

    regards,
    Imraj

  14. #14
    Registered User
    Join Date
    Dec 2010
    Posts
    10

    Re: Nokia C7 - QT application installation errors

    dear imrajhegde,
    i made as you say install QtMobility for N8 but i have another error when i try to deploy my App this error appear "Could not install from package C:\Data\myGame.sis on device: General OS-related error" this is fake error and i start think that problem with QtMobility for N8 do you really install your application on C7 and work fine?

  15. #15
    Registered User
    Join Date
    Sep 2010
    Posts
    1

    Re: Nokia C7 - QT application installation errors

    I had the same problem and i solved it by installing the qt-mobility-1.2.0-beta1-symbian3-nokia-signed.sis file located at
    C:\QtSDK\QtMobility\Symbian\sis\Symbian^3\QtMobility\1.2.0-Beta on my PC (note you have to install QTSDK on your PC)
    This will update the QtMobility on your phone

Similar Threads

  1. QT Nokia sdk installation and QT Creator config problem
    By kapiluiet in forum [Archived] Qt SDKs and Tools
    Replies: 1
    Last Post: 2010-06-02, 13:49
  2. Nokia connectivity framework installation errors
    By rambler82 in forum Symbian Tools & SDKs
    Replies: 4
    Last Post: 2009-06-26, 20:27

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •